{"host":"4cat.oilab.nl","info":{"contact":{"email":"4cat@oilab.eu"},"description":"This API allows interfacing with the 4CAT Capture and AnalysisToolkit, offering endpoints through which one may query our corpora via keyword-based search, and run further analysis on the results.","title":"4CAT: Capture and Analysis Toolkit RESTful API","version":"1.0.0"},"paths":{"/api/get-standalone-processors/":{"get":{"description":"Get processors available for standalone API requests","operationId":"get_standalone_processors-get","parameters":[],"produces":["application/json"],"responses":{"200":{"description":"A JSON object, a list with processor IDs that may be used for the `/api/process/<processor>/` endpoint as keys and a `description` of what the processor does, a `name` and the processor's `category`.","schema":{"additionalProperties":{"properties":{"category":{"type":"string"},"description":{"type":"string"},"name":{"type":"string"}},"type":"object"},"type":"object"}},"429":{"description":"If your request has been rate-limited."}},"summary":""}},"/api/process/{processor}/":{"post":{"description":"Run a standalone processor","operationId":"process_standalone-post","parameters":[{"description":"ID of the processor to run on incoming data","in":"path","name":"processor","required":true,"type":"string"},{"description":"Data to process, a JSON-formatted list of objects with each object having at least they keys `post_id`, `thread_id`, body`, and `author`.","in":"body","name":"data","required":true,"schema":{"properties":{"author":{"type":"string"},"body":{"type":"string"},"post_id":{"type":"string"},"thread_id":{"type":"string"}},"type":"object"}},{"description":"Access token; only required if not logged in currently.","in":"query","name":"access_token","required":false,"type":"string"}],"produces":["application/json"],"responses":{"200":{"description":"A JSON object containing the processed data, with a processor-specific structure.","schema":{"additionalProperties":{},"type":"object"}},"402":{"description":"If an invalid processor is requested, or if the input is not properly-formatted JSON."},"429":{"description":"If your request has been rate-limited."},"503":{"description":"If too many other requests are currently being handled, so that the server does not have the capacity to deal with this request"}},"summary":"This bypasses the usual 4CAT query-processor structure and allows running any available processor (see the `/api/get-standalone-processors/` endpoint) with one API call. The data is returned immediately and not saved server-side. Requires authentication."}}},"swagger":"2.0"}